CVE-2022-24303

Name
CVE-2022-24303
Description
Pillow before 9.0.1 allows attackers to delete files because spaces in temporary pathnames are mishandled.
NVD Severity
high
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
CONFIRM https://pillow.readthedocs.io/en/stable/releasenotes/9.0.1.html#security
MISC https://github.com/python-pillow/Pillow/pull/3450
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/W4ZUXPKEX72O3E5IHBPVY5ZCPMJ4GHHV/
FEDORA https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/XR6UP2XONXOVXI4446VY72R63YRO2YTP/
GENTOO https://security.gentoo.org/glsa/202211-10

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:python:pillow:*:*:*:*:*:*:*:* pillow >= None < 9.0.1

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
py3-pillow 3.15-main 8.4.0-r3 Fabian Affolter <fabian@affolter-engineering.ch> fixed